Subject: Re: [RFC PATCH v2 0/3] Create common DPLL/clock configuration API

From: Jakub Kicinski <[email-masked]>
Date: Fri, 30 Sep 2022 07:33:12 -0700

On Fri, 30 Sep 2022 10:33:57 +0200 Jiri Pirko wrote:
> >> Also, did you consider usage of sysfs? Why it isn't a better fit than
> >> netlink?  
> >
> >We already have sysfs implemented in the ptp_ocp driver. But it looks like
> >more hardware is going to be available soon with almost the same functions,
> >so it would be great to have common protocol to configure such devices.  
> 
> Sure, but more hw does not mean you can't use sysfs. Take netdev as an
> example. The sysfs exposed for it is implemented net/core/net-sysfs.c
> and is exposed for all netdev instances, no matter what the
> driver/hardware is.

Wait, *you* are suggesting someone uses sysfs instead of netlink?

Could you say more because I feel like that's kicking the absolute.